%if "%fedora" >= "5"
    %define with_dbus 1
%else
    %define with_dbus 0
%endif

Name:           xchat-gnome
Version:        0.6
Release:        6%{?dist}
Summary:        GNOME front-end to xchat

Group:          Applications/Internet
License:        GPL
URL:            http://%{name}.navi.cx/
Source0:        http://flapjack.navi.cx/releases/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-datadir.patch
Patch1:		%{name}-config.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	openssl-devel
Buildrequires:	libsexy-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	libglade2-devel
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
BuildRequires:  gettext

%if %{with_dbus}
BuildRequires:	dbus-devel
%endif

Requires: 	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2


%description
xchat-gnome is a new frontend for the popular X-Chat IRC client.  GNOME's
philosophy in terms of user interfaces has been progressing towards
presenting the user with few options, yet sane defaults. While many of the
normal X-Chat options will be preserved inside GConf, only the most
common settings will be included in the main user interface. .


%prep
%setup -q
%patch0 -p1 -b .datadir
%patch1 -p1 -b .config


%build
%configure --disable-gtkfe	\
	   --disable-tcl	\
	   --enable-ipv6	\
	   --enable-shm		\
%if %{with_dbus}
	   --enable-dbus	
%else
	   --disable-dbus
%endif

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/*.la

desktop-file-install --vendor fedora --delete-original	\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	--add-category X-Fedora				\
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# Remove duplicate files from xchat package.
rm $RPM_BUILD_ROOT%{_datadir}/applications/xchat.desktop
rm $RPM_BUILD_ROOT%{_datadir}/pixmaps/xchat.png


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    for i in apps_xchat.schemas notification.schemas urlscraper.schemas; do
    	gconftool-2 --makefile-uninstall-rule \
      	    %{_sysconfdir}/gconf/schemas/$i >/dev/null || :
    done
    killall -HUP gconfd-2 || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in apps_xchat.schemas notification.schemas urlscraper.schemas; do
	gconftool-2 --makefile-install-rule \
		 %{_sysconfdir}/gconf/schemas/$i > /dev/null || :
done
killall -HUP gconfd-2 || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    for i in apps_xchat.schemas notification.schemas urlscraper.schemas; do
    	gconftool-2 --makefile-uninstall-rule \
      		%{_sysconfdir}/gconf/schemas/$i > /dev/null || :
    done
    killall -HUP gconfd-2 || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING faq.html README plugins/plugin20.html
%doc plugins/perl/xchat2-perldocs.html
%{_bindir}/%{name}
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/plugins/
%if %{with_dbus}
%{_bindir}/xchat-remote
%endif

%changelog
* Tue Apr 11 2006 Brian Pepple <bdpepple@ameritech.net> - 0.6-6
- Rebuild for new libsexy.

* Sat Nov 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-5
- Add test for release version to determine if dbus is enabled.
- Add dist tag.

* Sat Nov 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-4
- Remove obsoletes xchat.
- Add patch to change datadir location.
- Add patch to change config dir.

* Thu Nov 10 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-3
- Add xchat-remote to files, and re-add dbus config flag.

* Thu Nov 10 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-2
- Merge some items from Bastien Nocera's spec file (#172873).
- Add configure option to enable ipv6 & shm tinting support.
- Simplify schemas installation.

* Tue Oct 25 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-1
- Initial Fedora Extras spec file.

